{{!-- Ally sheet --}}
<div class="summary-row flexrow">
    <div class="summary-hitlocations-list">
        <table style="height: 70px;" border="2">
        <thead style="height: 28px;">
            <th style="width: 25%; text-align: center; height: 28px;">{{localize "RQG.HitLocations"}}</th>
            <th style="width: 15%; text-align: center; height: 28px;">{{localize "RQG.RANGE"}}</th>
            <th style="width: 15%; text-align: center; height: 28px;">{{localize "RQG.HITPOINTS"}}</th>
            <th style="width: 15%; text-align: center; height: 28px;">{{localize "RQG.MAXHITPOINTS"}}</th>
            <th style="width: 10%; text-align: center; height: 28px;">{{localize "RQG.ARMOR"}}</th>
            <th style="width: 10%; text-align: center;">{{localize "RQG.WOUNDS"}}</th>
        </thead>
        <tbody>
        {{#each actor.hitlocations as |hl id|}}
            <tr style="height: 28px;">
            <td style="width: 25%; height: 28px; text-align: center;">{{localize hl.name}}</td>
            <td style="width: 15%; height: 28px; text-align: center;">{{hl.data.rangestart}}-{{hl.data.rangeend}}</td>
            <td style="width: 15%; height: 28px; text-align: center;"><input id="{{id}}_{{hl._id}}_currenthp_hitloc" type="text" name="hl.data.currenthp" value="{{hl.data.currenthp}}"/></td>
            <td style="width: 15%; height: 28px; text-align: center;">{{hl.data.maxhp}}</td>
            <td style="width: 10%; height: 28px; text-align: center;"><input  id="{{id}}_{{hl._id}}_armor_hitloc" class="attribute-value"  type="text"  name="hl.data.armor"  value="{{hl.data.armor}}"  data-dtype="Number"  /></td>
            <td style="width: 10%; text-align: center;"><input id="{{id}}_{{hl._id}}_wounds_hitloc" class="attribute-value"  type="text"  name="hl.data.wounds"  value="{{hl.data.wounds}}"  data-dtype="Number"  /></td>
            </tr>        
        {{/each}}
        </tbody>
        </table>
    </div>
    {{!-- Runes --}}
    <div  class="summary-runes-list flexrow">
        <table>
            <thead>
                <th colspan="2"></th>
            </thead>
            <tbody>
                {{#each data.elementalrunes as |elementalrune id|}}
                    <tr data-rune="{{id}}">
                        <td colspan="2"><a class="elementalrunes-roll rollable"><span class="runefont">{{getruneletter id}}</span>{{localize elementalrune.label}}: {{elementalrune.value}}</a></td>
                        <td></td>
                    </tr>
                {{/each}}
                {{#each data.powerrunes as |powerrunepair pairid|}}
                    <tr data-runepair="{{pairid}}">
                    {{#each powerrunepair as |powerrune runeid|}}
                        <td><a class="powerrunes-roll" data-rune="{{runeid}}"><span class="runefont">{{getruneletter runeid}}</span>{{localize powerrune.label}}: {{powerrune.value}}</a></td>
                    {{/each}}
                    </li>
                {{/each}}
            </tbody>
        </table>
    </div>
</div>
<div class="summary-row flexrow">
    <div class="summary-column flexcolumn">
        <div class="summary-passions-list">
            <div class="item flexrow item-header">         
                <ol class="summary-second-row">          
                    <div class="skill-category">
                        <li class="item flexrow item-header">
                            <div class="item-name">{{localize "RQG.Passions"}}</div>
                            <div class="item-controls">
                                <a class="item-control item-create" title="Create item" data-type="passion"><i class="fas fa-plus"></i></a>
                            </div>
                        </li>
                        {{#each actor.passions as |passion id|}}
                            <li class="item flexrow" data-item-id="{{passion._id}}" data-passionname="{{passion.name}}">
                                <h4 class="item-name"><a class="passion-roll">{{passion.name}}</a></h4>
                                <h4 class="item-name"><a class="passion-roll">{{passion.data.total}}</a></h4>
                                <div class="item-controls">
                                    <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                                    <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                </div>
                            </li>
                        {{/each}}
                    </div>
                </ol>
            </div>
        </div>
        <ol class="skills-list">
            <ol class="summary-meleeattack-list" data-attacktype="melee">
                <li class="item item-header">
                    <div class="item-name flexrow">{{localize "RQG.MeleeAttacks"}}</div>
                </li>
                {{#each actor.attacks.melee as |attack id|}}
                    <li class="item flexrow" data-item-id="{{attack._id}}" data-attackname="{{attack.name}}" data-skillcategory="meleeweapons">
                        <span class="summary-attack-label"><a class="meleeattack-roll">{{attack.name}}</a></span>
                        <span class="summary-attack-value">{{attack.data.skillvalue}}</label>
                        <span class="summary-attack-damage">{{attack.data.damage}}</span>
                    </li>
                {{/each}}
            </ol>
            <ol class="summary-missileattack-list" data-attacktype="missile">
                <li class="item item-header">
                    <div class="item-name flexrow">{{localize "RQG.MissileAttacks"}}</div>
                </li>
                {{#each actor.attacks.missile as |attack id|}}
                    <li class="item flexrow" data-item-id="{{attack._id}}" data-attackname="{{attack.name}}" data-skillcategory="missileweapons">
                        <h4 class="item-name"><a class="missileattack-roll">{{attack.name}}</a></h4>
                        <label class="skill-value">{{attack.data.skillvalue}}</label>
                        <h4 class="item-name">{{attack.data.damage}}</h4>
                    </li>
                {{/each}}
            </ol>
        </ol>        
    </div>
    <div class="summary-column flexcolumn">
        <div class="skills-list">
            {{!-- Defense --}}
            <table>
                <thead>
                    <th>{{localize "RQG.Defense"}}</th>
                </thead>
                <tbody>
                {{#each actor.defense as |item id|}}
                    <tr>
                        <td class="skill summary-skill-roll" data-itemid="{{item._id}}" data-skillname="{{item.name}}" data-skillcategory="{{item.data.skillcategory}}">
                            {{item.name}}: {{item.data.total}}                     
                        </td>
                    </tr>
                {{/each}}
                </tbody>
            </table>
        </div>
    </div>    
</div>